%define upstream_name    File-Path-Expand
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Expand filenames
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
File::Path::Expand expands user directories in filenames. For the simple
case it's no more complex than s{^~/}{$HOME/}, but for other cases it
consults 'getpwent' and does the right thing.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 367294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon May 16 2011 jquelin <jquelin> 1.20.0-1.mga2
+ Revision: 99255
- imported package perl-File-Path-Expand

